summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorAkinori Hattori <hattya@gentoo.org>2012-06-10 10:08:36 +0000
committerAkinori Hattori <hattya@gentoo.org>2012-06-10 10:08:36 +0000
commit85b12e7b4566a0a533e80d0b669251b3c5ca0e3c (patch)
treed3ef4b852b166b3868056a908ecad11daef3e843 /eclass
parentApply patch for x32 support, bug #395363. (diff)
downloadgentoo-2-85b12e7b4566a0a533e80d0b669251b3c5ca0e3c.tar.gz
gentoo-2-85b12e7b4566a0a533e80d0b669251b3c5ca0e3c.tar.bz2
gentoo-2-85b12e7b4566a0a533e80d0b669251b3c5ca0e3c.zip
update @MAINTAINER and minor cleanup.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog5
-rw-r--r--eclass/subversion.eclass46
2 files changed, 18 insertions, 33 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 905cb3a99538..745dfe8c72bf 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for eclass directory
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.300 2012/06/09 22:14:03 hasufell Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.301 2012/06/10 10:08:36 hattya Exp $
+
+ 10 Jun 2012; Akinori Hattori <hattya@gentoo.org> subversion.eclass:
+ update @MAINTAINER and minor cleanup.
09 Jun 2012; Julian Ospald <hasufell@gentoo.org> games.eclass:
fix for games.eclass wrt bug #336626 #c21
diff --git a/eclass/subversion.eclass b/eclass/subversion.eclass
index 52148b0b18fc..decb9ad18b2f 100644
--- a/eclass/subversion.eclass
+++ b/eclass/subversion.eclass
@@ -1,12 +1,10 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/subversion.eclass,v 1.76 2012/04/01 19:19:40 floppym Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/subversion.eclass,v 1.77 2012/06/10 10:08:36 hattya Exp $
# @ECLASS: subversion.eclass
# @MAINTAINER:
# Akinori Hattori <hattya@gentoo.org>
-# Bo Ørsted Andresen <zlin@gentoo.org>
-# Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
# @AUTHOR:
# Original Author: Akinori Hattori <hattya@gentoo.org>
# @BLURB: The subversion eclass is written to fetch software sources from subversion repositories
@@ -203,7 +201,6 @@ subversion_fetch() {
# check for the protocol
local protocol="${repo_uri%%:*}"
-
case "${protocol}" in
http|https)
if ! built_with_use -o dev-vcs/subversion webdav-neon webdav-serf; then
@@ -276,6 +273,7 @@ subversion_fetch() {
svn upgrade "${wc_path}" &>/dev/null
svn cleanup "${wc_path}" &>/dev/null
subversion_wc_info "${repo_uri}" || die "${ESVN}: unknown problem occurred while accessing working copy."
+
if [[ -n ${ESVN_REVISION} && ${ESVN_REVISION} != ${ESVN_WC_REVISION} ]]; then
die "${ESVN}: You requested off-line updating and revision ${ESVN_REVISION} but only revision ${ESVN_WC_REVISION} is available locally."
fi
@@ -364,7 +362,6 @@ subversion_fetch() {
fi
popd > /dev/null
-
echo
}
@@ -379,42 +376,32 @@ subversion_bootstrap() {
cd "${S}"
if [[ -n ${ESVN_PATCHES} ]]; then
- einfo "apply patches -->"
-
local patch fpatch
-
+ einfo "apply patches -->"
for patch in ${ESVN_PATCHES}; do
if [[ -f ${patch} ]]; then
epatch "${patch}"
-
else
for fpatch in ${FILESDIR}/${patch}; do
if [[ -f ${fpatch} ]]; then
epatch "${fpatch}"
-
else
die "${ESVN}: ${patch} not found"
-
fi
done
-
fi
done
-
echo
fi
if [[ -n ${ESVN_BOOTSTRAP} ]]; then
einfo "begin bootstrap -->"
-
if [[ -f ${ESVN_BOOTSTRAP} && -x ${ESVN_BOOTSTRAP} ]]; then
einfo " bootstrap with a file: ${ESVN_BOOTSTRAP}"
eval "./${ESVN_BOOTSTRAP}" || die "${ESVN}: can't execute ESVN_BOOTSTRAP."
-
else
einfo " bootstrap with command: ${ESVN_BOOTSTRAP}"
eval "${ESVN_BOOTSTRAP}" || die "${ESVN}: can't eval ESVN_BOOTSTRAP."
-
fi
fi
}
@@ -423,7 +410,7 @@ subversion_bootstrap() {
# @DESCRIPTION:
# Default src_unpack. Fetch and, in older EAPIs, bootstrap.
subversion_src_unpack() {
- subversion_fetch || die "${ESVN}: unknown problem occurred in subversion_fetch."
+ subversion_fetch || die "${ESVN}: unknown problem occurred in subversion_fetch."
if has "${EAPI:-0}" 0 1; then
subversion_bootstrap || die "${ESVN}: unknown problem occurred in subversion_bootstrap."
fi
@@ -473,28 +460,25 @@ subversion__svn_info() {
local target="${1}"
local key="${2}"
- env LC_ALL=C svn info \
- ${options} --username "${ESVN_USER}" --password "${ESVN_PASSWORD}" \
- "${target}" | grep -i "^${key}" | cut -d" " -f2-
+ env LC_ALL=C svn info ${options} --username "${ESVN_USER}" --password "${ESVN_PASSWORD}" "${target}" \
+ | grep -i "^${key}" \
+ | cut -d" " -f2-
}
## -- subversion__get_repository_uri() --------------------------------------- #
#
# param $1 - a repository URI.
subversion__get_repository_uri() {
- local repo_uri="${1}"
+ local repo_uri="${1}"
debug-print "${FUNCNAME}: repo_uri = ${repo_uri}"
-
if [[ -z ${repo_uri} ]]; then
die "${ESVN}: ESVN_REPO_URI (or specified URI) is empty."
fi
-
# delete trailing slash
if [[ -z ${repo_uri##*/} ]]; then
repo_uri="${repo_uri%/}"
fi
-
repo_uri="${repo_uri%@*}"
echo "${repo_uri}"
@@ -516,19 +500,17 @@ subversion__get_wc_path() {
# param $1 - a repository URI.
subversion__get_peg_revision() {
local repo_uri="${1}"
+ local peg_rev=
debug-print "${FUNCNAME}: repo_uri = ${repo_uri}"
-
- # repo_uri has peg revision ?
- if [[ ${repo_uri} != *@* ]]; then
+ # repo_uri has peg revision?
+ if [[ ${repo_uri} = *@* ]]; then
+ peg_rev="${repo_uri##*@}"
+ debug-print "${FUNCNAME}: peg_rev = ${peg_rev}"
+ else
debug-print "${FUNCNAME}: repo_uri does not have a peg revision."
fi
- local peg_rev=
- [[ ${repo_uri} = *@* ]] && peg_rev="${repo_uri##*@}"
-
- debug-print "${FUNCNAME}: peg_rev = ${peg_rev}"
-
echo "${peg_rev}"
}